open V2v_test_harness

let test = "win_81pro_x86_64"

(* Check virtio-blk driver was installed. *)
let check_virtio_blk g root xml =
  let xpathctx = Xml.xpath_new_context xml in
  let xpath = Xml.xpath_eval_expression xpathctx "/domain/devices/disk[@device=\"disk\"]/target/@bus" in
  let nr_nodes = Xml.xpathobj_nr_nodes xpath in
  assert (nr_nodes = 1);
  let node = Xml.xpathobj_node xml xpath 0 in
  let node = Xml.node_as_string node in
  assert (node = "virtio")

let test_plan = {
  default_plan with
    post_conversion_test = Some check_virtio_blk;
    boot_plan = Boot_to_screenshot (test ^ "-login.ppm");
}

let () = run ~test ~test_plan ()
